package com.rshy.project.hy.service;

import com.rshy.project.hy.model.entity.RshyJk;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author xiaopi
 * @since 2022-03-07
 */
public interface RshyJkService extends IService<RshyJk> {

    /**
     *
     * @return
     */
    List<RshyJk> getRshyJkAll();

    /***
     * 查询错误次
     * @return
     */
    List<RshyJk> getRshyError();


    /***
     * 查询配置所有接口信息
     */
    List<RshyJk> getInterfaceAll();

    /**
     * 修改超时时间
     * @param time
     * @return
     */
    Boolean upInterfaceTimeOut(String time);

}
